# $Revision: 1.33 $, $Date: 2004/05/06 18:20:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	BigInteger
Summary:	Math::BigInteger perl module
Summary(pl):	Modu perla Math::BigInteger
Name:		perl-Math-BigInteger
Version:	1.0
Release:	9
# if used in a product, Systemics should be given attribution
License:	free use, distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a92ffa6d66491c83ebe416ac86825da6
Patch0:		%{name}-Fputc_to_fputc.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInteger module gives access to Eric Young's bignum library.

%description -l pl
Modu Math::BigInteger umoliwia dostp do biblioteki bignum Erica
Younga.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README COPYRIGHT
%{perl_vendorarch}/Math/BigInteger.pm
%dir %{perl_vendorarch}/auto/Math/BigInteger
%{perl_vendorarch}/auto/Math/BigInteger/BigInteger.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/BigInteger/BigInteger.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-BigInteger.spec,v $
Revision 1.33  2004/05/06 18:20:36  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/27 08:58:26  radek
- release 9: added -Fputc_to_fputc.patch (which allows using this relic at all)

Revision 1.31  2004/04/24 16:13:10  ankry
- test added, but fails: need investigation

Revision 1.30  2004/04/23 06:52:53  ankry
- COPYRIGHT added

Revision 1.29  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 20:20:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:36:20  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/20 00:36:58  qboosh
- new %%doc

Revision 1.20  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:18:15  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:28:23  depesz
adapterized

Revision 1.14  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.12  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:12:32  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/11 02:16:13  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:56  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 09:24:23  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
